// file: tr_lat_set_3.cc
//

// isip include files
//
#include "train_lattice.h"
#include "train_lattice_constants.h"

// method: set_utterance_cc
//
// arguments:
//  char_1* utterance_a: (input) utterance represented by the Train_Lattice
//
// return: a logical_1 indicating status
//
// this method sets the name of the utterance represented by the Train_Lattice
//
logical_1 Train_Lattice::set_utterance_cc(char_1* utterance_a) {

  // get the length of the input string
  //
  int_4 str_len = strlen((char*)utterance_a);

  // allocate memory for the utterance name
  //
  if (utterance_d != (char_1*)NULL) {
    delete [] utterance_d;
  }
  utterance_d = new char_1[str_len + (int_4)1];
  
  // copy the string
  //
  strcpy((char*)utterance_d, (char*)utterance_a);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
